'use strict';

let moment = require('moment');
let momentBusinessDays = require('moment-business-days');

let thisYear = moment().format('Y');
momentBusinessDays.updateLocale('au', {
    holidays: [
        thisYear + '-01-01', // New Year's Day
        thisYear + '-04-25', // Anzac Day
        thisYear + '-12-25', // Christmas Day
        thisYear + '-12-26', // Boxing Day
        
        '2018-04-30', // Good Friday
        '2018-04-02', // Good Monday
        '2018-06-11', // Queen's Birthday
        '2018-10-01', // Labour Day

        '2019-01-28', // Australia Day Holiday
        '2019-04-19', // Good Friday
        '2019-04-22', // Good Monday
        '2019-06-10', // Queen's Birthday
        '2019-10-07', // Labour Day

        '2020-01-27', // Australia Day Holiday
        '2020-04-10', // Good Friday
        '2020-04-13', // Good Monday
        '2020-06-08', // Queen's Birthday
        '2020-10-05', // Labour Day

        '2021-01-26', // Australia Day Holiday
        '2021-04-02', // Good Friday
        '2021-04-05', // Good Monday
        '2021-06-14', // Queen's Birthday
        '2021-10-04', // Labour Day

        '2022-01-26', // Australia Day Holiday
        '2022-04-15', // Good Friday
        '2022-04-18', // Good Monday
        '2022-06-13', // Queen's Birthday
        '2022-10-03', // Labour Day
    ],
    holidayFormat: 'YYYY-MM-DD'
});

module.exports = momentBusinessDays;