let _ = require('lodash');

function logEvent(action, logLevel, message) {
    console.log(`LOGME ${action} ${logLevel} ${stringifyMessage(message)}`);
}

// cloudwatch log subscription filter pattern
// [timestamp=*Z, request_id="*-*", whatme="*ME", event]

function logMetric(metricName, metricValue, metricType) {
    console.log(`COUNTME ${JSON.stringify({metricName,metricValue,metricType})}`);
}

function logFyi(action, reference, message) {
    console.log(`HEARME ${action} ${reference} ${stringifyMessage(message)}`);
}

function logSlack(slackChannel, message) {
    console.log(`SLACKME ${slackChannel} ${stringifyMessage(message)}`);
}

function stringifyMessage(message) {
    if(_.isObject(message)) {
        return JSON.stringify(message);
    }

    return message;
}

module.exports = {
    logEvent,
    logMetric,
    logFyi,
    logSlack
}
